/*

  0.96" OLED Display 128X64 SPI SSD1306 (7 Pins)

  Parts required:
  - Arduino Board
  - 0.96" OLED Module 128X64 SPI SSD1306 (7 Pins)

  Libraries required:
  - Adafruit SSD1306
  - Adafruit GFX

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 6 Aug 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

// OLED display width, in pixels and display height, in pixels
#define SCREEN_WIDTH 128                              
#define SCREEN_HEIGHT 64                               

// Declaration for SSD1306 display connected using software SPI (default case):
#define OLED_MOSI   9 // D1
#define OLED_CLK   10 // D0
#define OLED_DC    11 // DC
#define OLED_CS    12 // CS
#define OLED_RESET 13 // RES

// Set all parameters to display object
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT,
                         OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);

void setup() {

  display.begin(SSD1306_SWITCHCAPVCC);                // generate display voltage from 3.3V internally
  display.clearDisplay();                             // clear screen
  display.display();                                  // show display content

  display.setTextColor(WHITE);                        // set text color to white
  display.setCursor(15, 0);                           // set cursor position to X,Y
  display.setTextSize(0);                             // set text size
  display.println("0.96 OLED Display");               // print text

  display.setTextSize(1);                             // set text size to 1
  display.setCursor(45, 16);                          // set cursor position to X,Y
  display.println("ARDUINO");                         // print text
  display.setCursor(45, 26);                          // set cursor position to X,Y
  display.println("TECH.DK");                         // print text

  display.drawLine(45 , 50, 85 , 50, WHITE);          // draw a line
  display.drawLine(66, 40 , 66, 60 , WHITE);          // draw a line

  for (int j = 6; j <= 8; j++) {                      // loop from 6 to 8
    display.drawCircle(58, 50, j, WHITE);             // draw a circle
    display.drawCircle(73, 50, j, WHITE);             // draw a circle
  }

  display.display();                                  // show display content
}

void loop() {
  // nothing here........
}
